# Documentation

Menu

## common.php

Query

SQL Query Builder / Database Abstraction Layer

PHP version 8.1

##### Tags

author

  Timothy J. Warren tim@timshome.page

copyright

  2012 - 2023 Timothy J. Warren

license

  http://www.opensource.org/licenses/mit-license.html MIT License

link
  https://git.timshomepage.net/aviat/Query
version
  4.0.0

### Table of Contents

mb_trim() : string
  Multibyte-safe trim function
dbFilter() : array<string|int, mixed>
  Filter out db rows into one array
arrayZipper() : array<string|int, mixed>
  Zip a set of arrays together on common keys
regexInArray() : bool
  Determine whether a value in the passed array matches the pattern passed
Query() : QueryBuilderInterface|null
  Connection function

### Functions

#### mb_trim()

common.php : 25

Multibyte-safe trim function

`mb_trim(string $string) : string`

##### Parameters

$string : string

##### Return values

string —

#### dbFilter()

common.php : 33

Filter out db rows into one array

`dbFilter(array<string|int, mixed> $array, mixed $index) : array<string|int, mixed>`

##### Parameters

$array : array<string|int, mixed>
$index : mixed

##### Return values

array<string|int, mixed> —

#### arrayZipper()

common.php : 51

Zip a set of arrays together on common keys

`arrayZipper(array<string|int, mixed> $zipperInput) : array<string|int, mixed>`

The $zipperInput array is an array of arrays indexed by their place in the output array.

##### Parameters

$zipperInput : array<string|int, mixed>

##### Return values

array<string|int, mixed> —

#### regexInArray()

common.php : 74

Determine whether a value in the passed array matches the pattern passed

`regexInArray(array<string|int, mixed> $array, string $pattern) : bool`

##### Parameters

$array : array<string|int, mixed>
$pattern : string

##### Return values

bool —

#### Query()

common.php : 100

Connection function

`Query([string|object|array<string|int, mixed>|null $params = '' ]) : QueryBuilderInterface|null`

Send an array or object as connection parameters to create a connection. If the array or object has an 'alias' parameter, passing that string to this function will return that connection. Passing no parameters returns the last connection created.

##### Parameters

$params : string|object|array<string|int, mixed>|null = ''

##### Return values

QueryBuilderInterface|null —

## Search results